Loading...
Searching...
No Matches
Image Rotate
Image Processing Functions

## Functions

void | ne10_img_rotate_rgba_c (ne10_uint8_t *dst, ne10_uint32_t *dst_width, ne10_uint32_t *dst_height, ne10_uint8_t *src, ne10_uint32_t src_width, ne10_uint32_t src_height, ne10_int32_t angle)
| image resize of 8-bit data.

## Detailed Description

  Image rotate is a generic functionality in image processing. For C implementation, we take the cvGetQuadrangleSubPix function from OpenCV (http://opencv.org/) for reference.

  This set of functions implements image rotate with bilinear interpolation algorithm for 8-bit data types.

## Function Documentation

## ne10_img_rotate_rgba_c()

void ne10_img_rotate_rgba_c | ( | ne10_uint8_t * | dst,
|  | ne10_uint32_t * | dst_width,
|  | ne10_uint32_t * | dst_height,
|  | ne10_uint8_t * | src,
|  | ne10_uint32_t | src_width,
|  | ne10_uint32_t | src_height,
|  | ne10_int32_t | angle
| ) |  |

image resize of 8-bit data.

Returns
  none. The function implements image resize

image rotate of 8-bit data.

Parameters

  [out] | *dst | point to the destination image
  [out] | *dst_width | width of destination image
  [out] | *dst_height | height of destination image
  [in] | *src | point to the source image
  [in] | src_width | width of source image
  [in] | src_height | height of source image
  [in] | angle | angle of rotate

Returns
  none. The function extracts pixels from src at sub-pixel accuracy and stores them to dst

Definition at line 231 of file NE10_rotate.c.